const protectedUrl = {
    notAuthorized: [
        new RegExp("/forms"),
        new RegExp("/forms/\\w+/edit"),
        new RegExp("/profile"),
        new RegExp("/forms/\\w+/answers"),
        new RegExp("/tokens/\\w+"),
        new RegExp("/admin"),
    ],
    Authorized: [
        "/enter"
    ],
    notRights: [
        new RegExp("/forms"),
        new RegExp("/forms/\\w+/edit"),
        new RegExp("/forms/\\w+/answers"),
        new RegExp("/tokens/\\w+"),
        new RegExp("/admin"),
    ]
}

function globalRender(url, user, navigate) {
    if (!user && protectedUrl.notAuthorized.some(item => url.match(item) ? url.match(item)[0] === url : false)) {
        navigate("/enter")
    }
    else if (user && protectedUrl.Authorized.some(item => item === url)) {
        navigate("/")
    }   
    else if (user && protectedUrl.notRights.some(item => url.match(item) ? url.match(item)[0] === url : false)) {
        if (!user.is_admin) {
            navigate("/")
        } 
    }
}

export { globalRender }